api_customer_list:
    path: /
    controller: App\Application\ApiBundle\Controller\CustomerController::list
    methods: ['GET']

api_customer_default_customer_for_guest_order:
    path: /default-customer-for-guest-order
    controller: App\Application\ApiBundle\Controller\CustomerController::getDefaultCustomerForGuestOrder
    methods: ['GET']

api_customer_add:
    path: /
    controller: App\Application\ApiBundle\Controller\CustomerController::add
    methods: ['POST']

api_customer_detail:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\CustomerController::detail
    methods: ['GET']

api_customer_update:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\CustomerController::update
    methods: ['POST']

api_customer_delete:
    path: /{id}
    controller: App\Application\ApiBundle\Controller\CustomerController::delete
    methods: ['DELETE']